Package org.jbpm.runtime.manager.impl

## Class KModuleRegisterableItemsFactory

- java.lang.Object
- - org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
  - - org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory
    - - org.jbpm.runtime.manager.impl.KModuleRegisterableItemsFactory

- All Implemented Interfaces:
    `org.kie.api.runtime.manager.RegisterableItemsFactory`, `org.kie.internal.runtime.manager.InternalRegisterableItemsFactory`

      public class KModuleRegisterableItemsFactory
      extends DefaultRegisterableItemsFactory

  This implementation extends the DefaultRegisterableItemsFactory and relies on definitions of work item handlers and listeners that come from kmodule.xml from kjar. It will directly register all listeners and work item handlers on the ksession and will also return listeners and handlers provided by the default implementation.

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

      `runtimeManager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KModuleRegisterableItemsFactory​(org.kie.api.runtime.KieContainer kieContainer, String ksessionName)` |
    `KModuleRegisterableItemsFactory​(org.kie.api.runtime.KieContainer kieContainer, String ksessionName, AuditEventBuilder auditBuilder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.event.rule.AgendaEventListener>` | `getAgendaEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)` |
    `List<org.kie.api.event.process.ProcessEventListener>` | `getProcessEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)` |
    `List<org.kie.api.event.rule.RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)` |
    `Map<String,​org.kie.api.runtime.process.WorkItemHandler>` | `getWorkItemHandlers​(org.kie.api.runtime.manager.RuntimeEngine runtime)` |

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory

      `getAuditBuilder, getAuditBuilder, getEventListenerFromDescriptor, getGlobals, getGlobalsFromDescriptor, getHTWorkItemHandler, getInstanceFromModel, getParametersMap, getTaskListeners, getTaskListenersFromDescriptor, getWorkItemHandlersFromDescriptor, loadJMSProperties, setAuditBuilder`

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

      `addAgendaListener, addGlobal, addProcessListener, addProcessListener, addTaskListener, addWorkingMemoryListener, addWorkItemHandler, createInstance, getRuntimeManager, setRuntimeManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KModuleRegisterableItemsFactory

          public KModuleRegisterableItemsFactory​(org.kie.api.runtime.KieContainer kieContainer,
                                                 String ksessionName)

    - #### KModuleRegisterableItemsFactory

          public KModuleRegisterableItemsFactory​(org.kie.api.runtime.KieContainer kieContainer,
                                                 String ksessionName,
                                                 AuditEventBuilder auditBuilder)

  - ### Method Detail

    - #### getWorkItemHandlers

          public Map<String,​org.kie.api.runtime.process.WorkItemHandler> getWorkItemHandlers​(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getWorkItemHandlers` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getWorkItemHandlers` in class `DefaultRegisterableItemsFactory`

    - #### getProcessEventListeners

          public List<org.kie.api.event.process.ProcessEventListener> getProcessEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getProcessEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getProcessEventListeners` in class `DefaultRegisterableItemsFactory`

    - #### getAgendaEventListeners

          public List<org.kie.api.event.rule.AgendaEventListener> getAgendaEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getAgendaEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getAgendaEventListeners` in class `DefaultRegisterableItemsFactory`

    - #### getRuleRuntimeEventListeners

          public List<org.kie.api.event.rule.RuleRuntimeEventListener> getRuleRuntimeEventListeners​(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getRuleRuntimeEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getRuleRuntimeEventListeners` in class `DefaultRegisterableItemsFactory`